module.exports = function(projectPath) {
    projectPath = projectPath || process.cwd();

    var fileExists = require('file-exists');
    var path = require('path');
    var configPath = path.join(projectPath, '.fedsrc');
    var packagePath = path.join(projectPath, 'package.json');
    var hasConfig = fileExists(configPath);
    var get = require('lodash.get');

    if (!hasConfig) {
        var loadJsonFile = require('load-json-file').sync;
        var hasPackage = fileExists(packagePath);
        if(!hasPackage) {
            return false;
        } else {
            var projectPackage = loadJsonFile(packagePath);
            return get(projectPackage, 'fedsType', false) !== false;
        }
    }
};
