var chalk = require('chalk');

/**
 * Nadpis
 * @return {Function} Funkce, která formátuje výpis konzole
 */
module.exports.title = function(title) {
    console.log(chalk.green.underline.bold(title + '\n'));
};

/**
 * Popis
 * @return {Function} Funkce, která formátuje výpis konzole
 */
module.exports.description = function(content) {
    console.log(chalk.dim.italic(content + '\n'));
};

/**
 * Oddělovač
 * @return {Function} Funkce, která formátuje výpis konzole
 */
module.exports.divider = function() {
    console.log(chalk.dim('\n'));
};
